---
updatedAt: 2026-08-06T21:05:39.000Z
agentTools:
  projectIndex: https://snipe-it.readme.io/llms.txt
---

# /hardware/audit

Mark an asset as audited

# Mark an asset as audited

This endpoint allows you to mark an asset as audited.

<Code>
  ```http
  POST /hardware/audit
  ```

  ```json {"name":"request","title":"Request Body"}
  {
    "asset_tag": "ASSET-12345",
    "location_id": 1,
    "note": "Initial audit for new deployment.",
    "next_audit_date": "2024-12-31",
    "update_location": true
  }
  ```

  ```json {"name":"response","title":"Example Response"}
  {
    "status": "success",
    "message": "Asset ASSET-12345 marked as audited.",
    "data": {
      "asset_id": 123,
      "asset_tag": "ASSET-12345",
      "audited_by": "John Doe",
      "audit_date": "2023-11-15",
      "location_updated": true
    }
  }
  ```
</Code>

## Body Parameters

The following parameters can be included in the request body:

| Parameter         | Type      | Required | Description                                                                             |
| :---------------- | :-------- | :------- | :-------------------------------------------------------------------------------------- |
| `asset_tag`       | `string`  | Yes      | The unique asset tag of the asset to be audited.                                        |
| `location_id`     | `integer` | No       | The ID of the location to associate with this audit.                                    |
| `note`            | `string`  | No       | Any additional notes or comments regarding the audit.                                   |
| `next_audit_date` | `date`    | No       | The date when the next audit for this asset is scheduled (YYYY-MM-DD format).           |
| `update_location` | `boolean` | No       | Set to `true` if you wish to update the asset's current location as part of this audit. |

## Custom Fields

If a custom fieldset attached to the model of the asset currently being edited is configured to be updatable through an audit, you may include those custom fields in your request body as well.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "snipe-it-rest-api",
    "version": "8.2.0"
  },
  "servers": [
    {
      "url": "https://develop.snipeitapp.com/api/v1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/hardware/audit": {
      "post": {
        "summary": "/hardware/audit",
        "description": "Mark an asset as audited",
        "operationId": "hardwareaudit",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "asset_tag"
                ],
                "properties": {
                  "asset_tag": {
                    "type": "string",
                    "description": "The asset tag of the asset you wish to audit"
                  },
                  "location_id": {
                    "type": "integer",
                    "description": "ID of the location you want to associate with the audit",
                    "format": "int32"
                  },
                  "next_audit_date": {
                    "type": "string",
                    "description": "The desired next audit date for the asset. If unset, the default audit interval will be used instead",
                    "format": "date"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"messages\": \"Asset audit successfully logged.\",\n    \"payload\": {\n        \"asset_tag\": \"SNIPE-IT-RULES\",\n        \"note\": \"\",\n        \"next_audit_date\": {\n            \"datetime\": \"2019-07-05 00:00:00\",\n            \"formatted\": \"Fri Jul 05, 2019 12:00AM\"\n        }\n    }\n}"
                  },
                  "Not Found": {
                    "value": "{\n  \"status\": \"error\",\n  \"messages\": \"Asset does not exist.\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "example": "success"
                        },
                        "messages": {
                          "type": "string",
                          "example": "Asset audit successfully logged."
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "asset_tag": {
                              "type": "string",
                              "example": "SNIPE-IT-RULES"
                            },
                            "note": {
                              "type": "string",
                              "example": ""
                            },
                            "next_audit_date": {
                              "type": "object",
                              "properties": {
                                "datetime": {
                                  "type": "string",
                                  "example": "2019-07-05 00:00:00"
                                },
                                "formatted": {
                                  "type": "string",
                                  "example": "Fri Jul 05, 2019 12:00AM"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "Not Found",
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "example": "error"
                        },
                        "messages": {
                          "type": "string",
                          "example": "Asset does not exist."
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": \"error\",\n  \"message\": \"Unauthorized.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Authorization",
        "value": "Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIyIiwianRpIjoiN2I1OTg3ZGVlYzI0ZmUxNzZmM2M4Y2VmZmFkOWZhZTMwOGY5YTc5MWU5OTI1MjljMWRmMDFmMTFjYThjMWRmZWE5YTlhODdhMDcxOTA2Y2IiLCJpYXQiOjE3ODY2NjIwMzYuMzExNjY1LCJuYmYiOjE3ODY2NjIwMzYuMzExNjcsImV4cCI6MjQxNzgxNDAzNi4yOTc4MDcsInN1YiI6IjEiLCJzY29wZXMiOltdfQ.bsToXzAmDU_c0WfA36bjgIfP9reBXaDrV3vEz78fJ6mdvnGBBPfqRFD3nb2NL6Zr2X3EavWoFA2-Adn3L-0Ds7OFBfU9jdyu5vlaA-f6BHVBuJlGu2NO0SuYmlRG-2DqMQL8MHjM2NQ4k1HX5UV8ox9fzxXAe9nD7wmV0mgWtWAyq29XfiBZQcYWLKjam0LnvHbFnL29ikVazCK6_Kl9_7d0gkX32QdgbtgIFDmrngSHnAeO2wTvUvf-rz8HsV0cv_9SALuLPNSUXiKjC2amSsgzU05a0xFmMYu3mSmfgH2PDC2qAsByjOlU5yQDv2hTEBEle0c2N2-z1mL-udi49a1FreedSX0Vxm04RTFTO4UwZUO4TGsLu47JheVPuMUN5V4FUCpXPX6qoyiBrGHPWx6cfjYzEK0joJeNi9Q5LwMjZxmJ_1K2P13lTcw67fJEHQeBoiYles4TJXzgmKpYJtGRMdcdiLj8zFiDZYnq31imndZTjfIT5oTY5owEfKRCcfxoDjFMi7mrr0zpi1Tx9bGDUQLD50aoa3M1zqSQvOqi6StvWE-vDGYbRE3oNRIOtL5xQslLMLsvEK4etz_CsYW0WJ-tu_rKs7muU5yM0gIW2pCFiMbNGzJp37uFrxTD5LGn3b-r0gNhMWLYKGzYRIeyRWir2vymf2I0RX5wL5s"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```